module register_8b
	(
		input wire clock,
		input wire reset, // activ pe "1"
		input wire we,
		input wire [7:0] data_in, 
		output reg [7:0] data_out // data_out are aceeasi dimensiune ca data_in
    );
    
always@(posedge clock) // clock sincronizeaza actiunile circuitului
begin    // doar pe edge-ul sau pozitiv circuitul actioneaza
    if(reset == 1)
    	begin
    	data_out <= 0;
    	end
    else
    	begin
		if(we == 1) // comanda de scriere
			begin
			data_out <= data_in;
			end
		else // puteam sa omit acest else
			begin
			data_out <= data_out; // raman datele salvate anterior
			end
		end
end
    
endmodule









